#========================================================================================
# package      DE_EPAGES::Object::API::PageCache::ZStdFile
# base         DE_EPAGES::Object::API::PageCache::CompressedFile
# state        public
# description  Implements a zstandard compressed file-based page cache.
#========================================================================================
package DE_EPAGES::Object::API::PageCache::ZStdFile;
use base DE_EPAGES::Object::API::PageCache::CompressedFile;

use strict;

sub _compressedFileExtension { ## no critic qw(ProhibitUnusedPrivateSubroutines)
    my $self = shift;
    return '.zst';
}

sub _compressionType { ## no critic qw(ProhibitUnusedPrivateSubroutines)
    my $self = shift;
    return 'zstd';
}

1;
