#========================================================================================
# package      DE_EPAGES::Object::API::PageCache::ZipFile
# base         DE_EPAGES::Object::API::PageCache::CompressedFile
# state        public
# description  Implements a gzip compressed file-based page cache.
#========================================================================================
package DE_EPAGES::Object::API::PageCache::ZipFile;
use base DE_EPAGES::Object::API::PageCache::CompressedFile;

use strict;

sub _compressedFileExtension { ## no critic qw(ProhibitUnusedPrivateSubroutines)
    my $self = shift;
    return '.gz';
}

sub _compressionType { ## no critic qw(ProhibitUnusedPrivateSubroutines)
    my $self = shift;
    return 'gzip';
}

1;
