CREATE TABLE zettledelete (
     guid                 varchar(36)  not null
,    siteid               integer  not null
,    classid              integer  not null
,    pathfromsite         varchar(1000)  not null
,    zettleuuid           varchar(36)  not null
,    deletedon            datetime  not null

,   constraint pk_zettledelete                  primary key (guid)
,   constraint fk_zettledelete_classid          foreign key (classid)
        references class                            (classid)
,   constraint fk_zettledelete_siteid           foreign key (siteid)
        references site                             (siteid)
)
GO

CREATE INDEX i_zettledelete ON zettledelete (siteid, classid, deletedon)
GO

CREATE INDEX i_zettledelete_class ON zettledelete (classid)
GO

