#========================================================================================
# package      DE_EPAGES::Object::API::PageCache::LZ4File
# base         DE_EPAGES::Object::API::PageCache::CompressedFile
# state        public
# description  Implements a lz4 compressed file-based page cache.
#========================================================================================
package DE_EPAGES::Object::API::PageCache::LZ4File;
use base DE_EPAGES::Object::API::PageCache::CompressedFile;

use strict;

sub _compressedFileExtension { ## no critic qw(ProhibitUnusedPrivateSubroutines)
    my $self = shift;
    return '.lz4';
}

sub _compressionType { ## no critic qw(ProhibitUnusedPrivateSubroutines)
    my $self = shift;
    return 'lz4';
}

1;
